Repeat One Song is broken in RB2.99

Bug #1186810 reported by fossfreedom on 2013-06-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Repeat One Song
High
Eduardo Mucelli Rezende Oliveira

Bug Description

As per the rhythmbox mailing list

 - https://mail.gnome.org/archives/rhythmbox-devel/2013-April/msg00000.html

this plugin no longer works with RB2.99 and later.

You can no-longer have a toolbar option - RB2.99 is a static toolbar only. Also there is no ui-manager that you can insert into anymore.

This is discussed with my plugin here

 - https://github.com/fossfreedom/coverart-browser/issues/171

I've created a compatibility module you may wish to consider looking at to provide compatability for all RB versions since v2.96 including v2.99.

You'll need a different approach though since you cannot invoke the repeat-one-song via a toolbar.

If you want to invoke it via right-click menu, then can I suggest an approach I similarly did here:

 - https://github.com/fossfreedom/send_first

fossfreedom, I will look into it in the next days, I will approach it using right-click menu. Thanks for pointing me out with the possible solutions.

... and also I will look into adding a item to a menu, as shown in here: https://wiki.gnome.org/Rhythmbox%20Plugins/Python%20Plugin%20Examples

fossfreedom (fossfreedom) wrote :

excellent

  since I wrote that I've removed that send_first repo

The correct link is https://github.com/asermax/send_first

Yes, I saw the link was down and found the very one you l've mentioned.
Thanks once more.

Eduardo Mucelli R. Oliveira
On Oct 31, 2013 3:33 PM, "fossfreedom" <email address hidden> wrote:

> excellent
>
> since I wrote that I've removed that send_first repo
>
> The correct link is https://github.com/asermax/send_first
>
> --
> You received this bug notification because you are subscribed to Repeat
> One Song.
> https://bugs.launchpad.net/bugs/1186810
>
> Title:
> Repeat One Song is broken in RB2.99
>
> Status in Repeat One Song for Rhythmbox:
> New
>
> Bug description:
> As per the rhythmbox mailing list
>
> - https://mail.gnome.org/archives/rhythmbox-
> devel/2013-April/msg00000.html
>
> this plugin no longer works with RB2.99 and later.
>
> You can no-longer have a toolbar option - RB2.99 is a static toolbar
> only. Also there is no ui-manager that you can insert into anymore.
>
> This is discussed with my plugin here
>
> - https://github.com/fossfreedom/coverart-browser/issues/171
>
> I've created a compatibility module you may wish to consider looking
> at to provide compatability for all RB versions since v2.96 including
> v2.99.
>
> You'll need a different approach though since you cannot invoke the
> repeat-one-song via a toolbar.
>
> If you want to invoke it via right-click menu, then can I suggest an
> approach I similarly did here:
>
> - https://github.com/fossfreedom/send_first
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/repeat-one-song/+bug/1186810/+subscriptions
>

fossfreedom: I've fixed this. I will soon commit the code. The main issue was that seems to be a bug on the 'eos' signal (https://bugs.launchpad.net/ubuntu/+source/rhythmbox/+bug/1239218), therefore, I've used a old approach to repeat the song. It is working nicely, and I will keep up to date with that bug and see if I can reuse the 'good' method as soon as possible.

Changed in repeat-one-song:
status: New → In Progress
assignee: nobody → Eduardo Mucelli Rezende Oliveira (eduardo-mucelli)
importance: Undecided → High
Changed in repeat-one-song:
milestone: none → 0.3
status: In Progress → Fix Committed
fossfreedom (fossfreedom) wrote :

Thanks Eduardo - this works very nicely on RB2.99.1.

I'm uploading this into my PPA for saucy users - should be available within the hour.

cheers.

Changed in repeat-one-song:
status: Fix Committed → Fix Released
fossfreedom (fossfreedom) wrote :

BTW - this plugin also works with RB3.0 - just need to change the python statement in the plugin file to "python3".

Nice to know that. Is there a way to change it programmatically from inside the plugin, or a new version must be created with the change of the plugin file?

I will do that soon if the answer is positive.

Thanks.

fossfreedom (fossfreedom) wrote :

no - no way to do it within the plugin - the "Loader" controls what python interpreter to use before running the plugin.

BTW - for my plugins I've introduced a ./install.sh type script that the user adds a parameter to install it either rb2 (by default) or rb3

i.e.

./install.sh --> for RB2
./install.sh --rb3 --> for RB3

https://github.com/fossfreedom/coverart-browser/blob/release-0.9/install.sh

An alternative is Donagh's method where it tries to recognise what version of rhythmbox is installed before installing the correct version of the plugin

https://github.com/donaghhorgan/rhythmbox-plugin-installer

Hope this helps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers